# SON-Mar02-13-R1.5.01

### **User Stories/Defects Testing** <a href="#son-feb18-feb28-peerplays-release0.3build2-userstories-defectstesting" id="son-feb18-feb28-peerplays-release0.3build2-userstories-defectstesting"></a>

Release details : [https://peerplays.atlassian.net/projects/SON/versions/10124/tab/release-report-all-issues](https://peerplays.atlassian.net/projects/SON/versions/10124/tab/release-report-all-issues)

**Tested & Completed**&#x20;

| P                                                                               | T                                                                                                                | Key                                                       | Summary                                                                                                                                                                              | Status |
| ------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------ |
| ![Highest](https://peerplays.atlassian.net/images/icons/priorities/highest.svg) | ![Task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10318\&avatarType=issuetype)     | [SON-87](https://peerplays.atlassian.net/browse/SON-87)   | [\[Development\] Bitcoin Transaction processing](https://peerplays.atlassian.net/browse/SON-87)                                                                                      | DONE   |
| ![Highest](https://peerplays.atlassian.net/images/icons/priorities/highest.svg) | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)    | [SON-130](https://peerplays.atlassian.net/browse/SON-130) | [\[Development\] As an SON, I am responsible for creating and signing a bitcoin transaction](https://peerplays.atlassian.net/browse/SON-130)                                         | DONE   |
| ![Highest](https://peerplays.atlassian.net/images/icons/priorities/highest.svg) | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)    | [SON-131](https://peerplays.atlassian.net/browse/SON-131) | [\[Development\] Only the signed transactions will be submitted by the SON nodes to the witness nodes for incorporating into blocks](https://peerplays.atlassian.net/browse/SON-131) | DONE   |
| ![Highest](https://peerplays.atlassian.net/images/icons/priorities/highest.svg) | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)    | [SON-132](https://peerplays.atlassian.net/browse/SON-132) | [\[Development\] All bitcoin transactions in Peerplays blockchain get validated to ensure they are originated from the SONs only.](https://peerplays.atlassian.net/browse/SON-132)   | DONE   |
| ![High](https://peerplays.atlassian.net/images/icons/priorities/high.svg)       | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)    | [SON-30](https://peerplays.atlassian.net/browse/SON-30)   | [\[Development\] Any multisig transaction should have at least half + 1 number of signatures (ex. 3-of-5).](https://peerplays.atlassian.net/browse/SON-30)                           | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)    | [SON-17](https://peerplays.atlassian.net/browse/SON-17)   | [As a user, I expect the top 15 SON operators with the most number of votes to be SONs.](https://peerplays.atlassian.net/browse/SON-17)                                              | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Sub-task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10316\&avatarType=issuetype) | [SON-98](https://peerplays.atlassian.net/browse/SON-98)   | [Wallet transfer when a new set of SONs is voted in.](https://peerplays.atlassian.net/browse/SON-98)                                                                                 | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)    | [SON-113](https://peerplays.atlassian.net/browse/SON-113) | [\[Development\] update\_son\_votes - cli\_wallet](https://peerplays.atlassian.net/browse/SON-113)                                                                                   | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)      | [SON-142](https://peerplays.atlassian.net/browse/SON-142) | [delete\_son operation doesn't work](https://peerplays.atlassian.net/browse/SON-142)                                                                                                 | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Bug](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10303\&avatarType=issuetype)      | [SON-146](https://peerplays.atlassian.net/browse/SON-146) | [Block generation is failed after the SON voting](https://peerplays.atlassian.net/browse/SON-146)                                                                                    | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)    | [SON-200](https://peerplays.atlassian.net/browse/SON-200) | [\[Development\] Introduce Maintenance mode for SONs](https://peerplays.atlassian.net/browse/SON-200)                                                                                | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)    | [SON-202](https://peerplays.atlassian.net/browse/SON-202) | [\[Development\] implement cli\_wallet commands for maintenance mode](https://peerplays.atlassian.net/browse/SON-202)                                                                | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)    | [SON-233](https://peerplays.atlassian.net/browse/SON-233) | [SON Provide correct downtime metrics to user](https://peerplays.atlassian.net/browse/SON-233)                                                                                       | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype)    | [SON-261](https://peerplays.atlassian.net/browse/SON-261) | [Deposit transfer ( user address -> PW ) and Withdrawal transfer ( PW -> user address ) for m-of-n multisig](https://peerplays.atlassian.net/browse/SON-261)                         | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg)   | ![Task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10318\&avatarType=issuetype)     | [SON-264](https://peerplays.atlassian.net/browse/SON-264) | [Integrating deposit/withdrawals with bitcoin transactions (feature/SON-260 + SON261 branches)](https://peerplays.atlassian.net/browse/SON-264)                                      | DONE   |
| ![Low](https://peerplays.atlassian.net/images/icons/priorities/low.svg)         | ![Task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10318\&avatarType=issuetype)     | [SON-152](https://peerplays.atlassian.net/browse/SON-152) | [Verify newly added cli\_wallet options](https://peerplays.atlassian.net/browse/SON-152)                                                                                             | DONE   |



\
**Defects**

[**https://peerplays.atlassian.net/browse/SON-291**](https://peerplays.atlassian.net/browse/SON-291)
